# Pattern class

An interface for basic searches within strings.

Implementers
  - RegExp
  - String

## Constructors

Pattern()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

allMatches(String string, [ int start = 0 ]) → Iterable<Match>
  Match this pattern against the string repeatedly. [...]
matchAsPrefix(String string, [ int start = 0 ]) → Match
  Match this pattern against the start of `string`. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited